#ifndef __interfEditMenuH__
#define __interfEditMenuH__

#include <wx/wx.h>
#include "interfMenuBar.h"
#include "interfMainPanel.h"

class interfEditMenu 
	: public interfMenuBar
{
public:
	interfEditMenu(wxWindow * parent, int sizex, int sizey,wxEvtHandler* evtHandler, std::string datdir = "data/Icons");		
	~interfEditMenu();

    virtual void initButtons(wxEvtHandler* evtHandler) ;


	void onCopy(wxCommandEvent& event);
	void onPaste(wxCommandEvent& event);
	void onUndo(wxCommandEvent& event);
	void onRedo(wxCommandEvent& event);
	void onPrintLabel(wxCommandEvent& event);
	
};

#endif

