#ifndef __PanelBullEyeOptions_h_INCLUDED_H__
#define __PanelBullEyeOptions_h_INCLUDED_H__


// -----------------------------------------------------------------------------------------------------------
// WX headers inclusion.
// For compilers that support precompilation, includes <wx/wx.h>.
// -----------------------------------------------------------------------------------------------------------

#include <wx/wxprec.h>
#ifdef __BORLANDC__
#pragma hdrstop
#endif
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif

#include <wx/grid.h>

#include <sstream>
//------------------------------------------------------------------------------------------------------------
// Includes
//------------------------------------------------------------------------------------------------------------
#include "wxContourMainFrame.h"
#include <wx/spinctrl.h>



class  PanelBullEyeOptions : public wxPanel {
public:
	PanelBullEyeOptions(wxWindow* parent, wxSize size);
	~PanelBullEyeOptions ();
	void onRefreshPanel( wxCommandEvent& event );
	int GetNumberOfCrowns();
	int GetNumberOfSections(int nCrown);
	int GetRadioOfCrown(int nCrown);
	double GetAngOfCrownSection(int nCrown,int section);
	double GetAngDeltaOfCrownSection(int nCrown);
protected:

private:
	int							_maxLevels;
	int							_maxSections;
	wxRadioBox					*_radioboxBullEyeGenOpt;
	wxSpinCtrl					*_spinctrlBullEyeNumOfCrowns;
	wxSpinCtrl					*_spinctrlBullEyeNumOfSec;
	wxSlider					*_sliderBullEyeAngle;
	std::vector<wxSpinCtrl *>	_lstBullEyeDetailNumOfSec;
	std::vector<wxSlider *>		_lstBullEyeDetailRadio;
	std::vector<wxSlider *>		_lstBullEyeDetailAngle;


	

	void RefreshPanel();
};


#endif // __wxContourEventHandler_HEADER_FILE__
