
//----------------------------------------------------------------------------------------------------------------
// Class definition include
//----------------------------------------------------------------------------------------------------------------
#include "PerformingOperation.h"

//----------------------------------------------------------------------------------------------------------------
// Class implementation
//----------------------------------------------------------------------------------------------------------------
/** @file PerformingOperation.cxx */


//------------------------------------------------------------------------------------------------------------
// Includes
//------------------------------------------------------------------------------------------------------------

//------------------------------------------------------------------------------------------------------------
// Generated events declaration and definition
//------------------------------------------------------------------------------------------------------------

//DEFINE_EVENT_TYPE( wxEVT_CONCEPT_RELEASE )


	//------------------------------------------------------------------------------------------------------------
	// Constructors & Destructors
	//------------------------------------------------------------------------------------------------------------
	PerformingOperation :: PerformingOperation()
	{
		_startCommand = '\0';
		_endCommand = '\0';
	}

	PerformingOperation :: ~PerformingOperation()
	{
		reset();
	}
		
	
	//------------------------------------------------------------------------------------------------------------
	//  Attributes PerformingOperation :: getters and PerformingOperation :: setters
	//------------------------------------------------------------------------------------------------------------

	void PerformingOperation :: setStartOperationInstantVector( std::vector<int> instantData )
	{
		for (int i =0; i< instantData.size(); i++)
		{
			_startOperationInstantVector.push_back( instantData[i] );
		}
	}
	//------------------------------------------------------------------------------------------------------------
	std::vector<int> PerformingOperation :: getStartOperationInstantVector( )
	{
		return _startOperationInstantVector;
	}
	//------------------------------------------------------------------------------------------------------------
	void PerformingOperation :: setEndOperationInstantVector( std::vector<int> instantData )
	{
		for (int i =0; i< instantData.size(); i++)
		{
			_endOperationInstantVector.push_back( instantData[i] );
		}		
	}
	//------------------------------------------------------------------------------------------------------------
	std::vector<int> PerformingOperation :: getEndOperationInstantVector( )
	{
		return _endOperationInstantVector;
	}
	//------------------------------------------------------------------------------------------------------------
	char PerformingOperation :: getStartCommand()
	{
		return _startCommand;
	}
	//------------------------------------------------------------------------------------------------------------
	void PerformingOperation :: setStartCommand( char theCommand )
	{
		_startCommand = theCommand;
	}
	//------------------------------------------------------------------------------------------------------------
	char PerformingOperation :: getEndCommand()
	{
		return _endCommand;
	}

	//------------------------------------------------------------------------------------------------------------
	void PerformingOperation :: setEndCommand( char theCommand )
	{
		_endCommand = theCommand;
	}

	//------------------------------------------------------------------------------------------------------------
	std::vector<std::string> PerformingOperation:: getKeyNamesOperationElems(  )
	{
		return _keyNamesOperationElems;
	}
	//------------------------------------------------------------------------------------------------------------
	void PerformingOperation:: setKeyNamesOperationElems( std::vector<std::string> dataVector)
	{
		_keyNamesOperationElems = dataVector;
	}

	//------------------------------------------------------------------------------------------------------------
	//  Other functional methods
	//------------------------------------------------------------------------------------------------------------

	void PerformingOperation :: reset()
	{
		_startCommand = '\0';
		_endCommand = '\0';
		_startOperationInstantVector.clear();
		_endOperationInstantVector.clear();
		_keyNamesOperationElems.clear();
	}

	//------------------------------------------------------------------------------------------------------------
	//  Private methods
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	// Creational and initialization methods
	//------------------------------------------------------------------------------------------------------------

