#ifndef __wxContour_ButtonsBar_h_INCLUDED_H__
#define __wxContour_ButtonsBar_h_INCLUDED_H__


// -----------------------------------------------------------------------------------------------------------
// WX headers inclusion.
// For compilers that support precompilation, includes <wx/wx.h>.
// -----------------------------------------------------------------------------------------------------------

#include <wx/wxprec.h>
#ifdef __BORLANDC__
#pragma hdrstop
#endif
#ifndef WX_PRECOMP
#include <wx/wx.h>
#endif



//------------------------------------------------------------------------------------------------------------
// Includes
//------------------------------------------------------------------------------------------------------------
#include <wx/event.h>

//------------------------------------------------------------------------------------------------------------
// Events declaration
//------------------------------------------------------------------------------------------------------------
/*BEGIN_DECLARE_EVENT_TYPES()
	DECLARE_EVENT_TYPE( wxEVT_CONCEPT_RELEASE, -1 )	
END_DECLARE_EVENT_TYPES()*/

/** file wxContour_ButtonsBar.h */

//------------------------------------------------------------------------------------------------------------
// Class definition
//------------------------------------------------------------------------------------------------------------
class wxContour_ButtonsBar : public /*wxToolBar {*/wxPanel {

	public:

	//------------------------------------------------------------------------------------------------------------
	// Constructors & Destructors
	//------------------------------------------------------------------------------------------------------------
	wxContour_ButtonsBar( wxWindow* parent, wxWindowID id, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = wxTB_HORIZONTAL | wxNO_BORDER, const wxString& name = wxPanelNameStr );

	~wxContour_ButtonsBar(  );
			
	//------------------------------------------------------------------------------------------------------------
	// Methods for capturing events
	//------------------------------------------------------------------------------------------------------------
	
	void onActionButtonPressed( wxCommandEvent& event);
	
	//------------------------------------------------------------------------------------------------------------
	//  Methods for sending events
	//------------------------------------------------------------------------------------------------------------
	void sendEnvent( WXTYPE theEventType );

	//------------------------------------------------------------------------------------------------------------
	//  Attributes getters and setters
	//------------------------------------------------------------------------------------------------------------
	
	void setWxEventHandler( wxEvtHandler * theEventHandler );
	
	//------------------------------------------------------------------------------------------------------------
	//  Other functional methods
	//------------------------------------------------------------------------------------------------------------

private:
	//------------------------------------------------------------------------------------------------------------
	//  Private methods
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	// Creational and initialization methods
	//------------------------------------------------------------------------------------------------------------

	//------------------------------------------------------------------------------------------------------------
	// Attributtes
	//------------------------------------------------------------------------------------------------------------
	
	wxEvtHandler * _eventHandler;
	
	wxButton * _createContour_Button;
	wxButton * _delete_Button;
	wxButton * _hideContour_Button;
	wxButton * _show_Button;
	wxButton * _copy_Button;
	wxButton * _paste_Button;
	wxButton * _change_Button;
	wxButton * _spread_Button;
	wxButton * _select_Button;
	wxButton * _edit_Button;
	wxButton * _undo_Button;
	wxButton * _redo_Button;	
	wxButton * _save_Button;
	wxButton * _open_Button;	
	wxButton * _automatiqueSegmentation_Button;
	wxButton * _informationContour_Button;
	wxButton * _interfaceConfiguration_Button;
	wxButton * _interfaceTest_Button;
};

#endif // __wxContour_ButtonsBar_HEADER_FILE__
