
//----------------------------------------------------------------------------------------------------------------
// Class definition include
//----------------------------------------------------------------------------------------------------------------
#include "ImageSectionThing.h"

//----------------------------------------------------------------------------------------------------------------
// Class implementation
//----------------------------------------------------------------------------------------------------------------
/** @file ImageSectionThing.cxx */

//------------------------------------------------------------------------------------------------------------
// Constructors & Destructors
//------------------------------------------------------------------------------------------------------------

	/*
	* Creates the section image with the given image
	* @param sourceImage The image data to set.
	*/
	ImageSectionThing :: ImageSectionThing(vtkImageData * theImage)
	{
		setImageData(theImage);
	}

	/*
	* Destroys the image section
	*/
	ImageSectionThing :: ~ImageSectionThing()
	{

	}
//------------------------------------------------------------------------------------------------------------
// Methods
//------------------------------------------------------------------------------------------------------------

	/*
	* Gets the image data 
	* @return image The image.
	*/
	vtkImageData * ImageSectionThing :: getImageData()
	{
		return image;
	}

	/*
	* Sets the source image 
	* @param theImage The image to set.
	*/
	void ImageSectionThing :: setImageData( vtkImageData *  theImage)
	{
		image = theImage;
	}
   
   
