#ifndef __interfDeleteMenuH__
#define __interfDeleteMenuH__

#include <wx/wx.h>
#include "interfMenuBar.h"
#include "interfMainPanel.h"

class interfDeleteMenu 
	: public interfMenuBar
{
public:
	interfDeleteMenu(wxWindow * parent, int sizex, int sizey,wxEvtHandler* evtHandler, std::string datdir = "data/Icons");		
	~interfDeleteMenu();

    virtual void initButtons(wxEvtHandler* evtHandler) ;

private:
	/**
	**  This methods are in charge of responding to the events of button click by the delete panel
	**  @params wxCommandEvent& the event that call the function
	**/
	void onDeleteContour(wxCommandEvent& event);
	void onDeleteContoursActSlice(wxCommandEvent& event);
	void onDeleteAllContours(wxCommandEvent& event);
	
};

#endif

