
//----------------------------------------------------------------------------------------------------------------
// Class definition include
//----------------------------------------------------------------------------------------------------------------
#include "KeyThing.h"


//----------------------------------------------------------------------------------------------------------------
// Class implementation
//----------------------------------------------------------------------------------------------------------------
/** @file KeyThing.cxx */


	/*
	* Creates the key thing	
	* @param thePrefix Is the prefix of the new keyThing for the key generation correponding to the new keyThing
	* @param theValue Is the value of the intial key generation correponding to the new keyThing
	*/
	KeyThing :: KeyThing(std::string thePrefix, int theValue)
	{
		setPrefix( thePrefix );
		setValue( theValue );
	}

	/*
	* Destroys the key thing	
	*/
	KeyThing :: ~KeyThing()
	{

	}

	
//------------------------------------------------------------------------------------------------------------
// Public Methods
//------------------------------------------------------------------------------------------------------------

	/*
	* Sets the prefix of the keyThing
	*/
	void KeyThing :: setPrefix( std::string aPrefix)
	{
		prefix = aPrefix;
	}
	
	/*
	* Sets the value value of the keyThing
	* @param aValue The valueimum to set
	*/
	void KeyThing :: setValue (int aValue)
	{
		value = aValue;
	}

	/*
	* Gets the prefix of the keyThing
	* @return prefix The setted prefix
	*/
	std::string KeyThing :: getPrefix()
	{
		return prefix;
	}
	
	/*
	* Gets the value value of the keyThing
	* @return value The setted valueimum
	*/
	int KeyThing :: getValue()
	{
		return value;
	}
 
 
